Bug 199144 - Newly created config channels show broken links.
Summary: Newly created config channels show broken links.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
(Show other bugs)
Version: rhn420
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Grant Gainey
QA Contact: Preethi Thomas
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: rhn500h-config-mgmt
TreeView+ depends on / blocked
 
Reported: 2006-07-17 15:08 UTC by Ken Ganong
Modified: 2007-04-18 17:46 UTC (History)
1 user (show)

Fixed In Version: rhn500h
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-13 03:00:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ken Ganong 2006-07-17 15:08:06 UTC
When you create a new config channel, it will then bring you to the details page
for that config channel.  The ccid is not a request parameter which causes all
of the mid-level navs to produce page request errors.

Comment 1 Grant Gainey 2006-09-27 19:39:08 UTC
needed to clean up and centralize the setting of request.attributes and
.parameters.  

Test Plan:
- Choose "Configuration Channels" from left-nav
- Choose "Create Channel" link
- Fill in name, label, and description, and submit the form
- On the resulting Channel Overview page, mouse over nav-links - all should
include a "ccid=#####" 
- Mouse over "Edit properties" - it should also show a "ccid=#####"

If either place shows "ccid=", or doesn't show the ccid param at all, the bug
has NOT been fixed.


Comment 2 Grant Gainey 2006-11-06 15:07:46 UTC
Moving to ON_DEV

Comment 3 Grant Gainey 2006-12-04 22:00:27 UTC
ON_QA, here we come!

Comment 4 Preethi Thomas 2007-01-09 14:55:17 UTC
rhn 500

Comment 5 Preethi Thomas 2007-03-06 17:54:59 UTC
Verified in stage.

Comment 6 Brandon Perkins 2007-03-13 03:00:57 UTC
Closed in the rhn500h Release.


Note You need to log in before you can comment on or make changes to this bug.